Вопрос Я не могу установить xulrunner 1.9.2 на ubuntu 14.04


При попытке установить xulrunner 1.9.2. Я получаю thsi ошибку:

Setting up xulrunner-1.9.2 (1.9.2.28+build1+nobinonly-0ubuntu0.10.04.1) ...
/var/lib/dpkg/info/xulrunner-1.9.2.postinst: 8: /var/lib/dpkg/info/xulrunner-1.9.2.postinst: /usr/sbin/update-alternatives: not found
dpkg: error processing package xulrunner-1.9.2 (--configure):
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 xulrunner-1.9.2
E: Sub-process /usr/bin/dpkg returned an error code (1)

2
2018-04-22 07:24


происхождения


опубликовать вывод apt-cache policy xulrunner - Avinash Raj
та же проблема. Вот вывод политики apt-cache xulrunner-1.9.2: Установлено: 1.9.2.28 + build1 + nobinonly-0ubuntu0.10.04.1 Кандидат: 1.9.2.28 + build1 + nobinonly-0ubuntu0.10.04.1 Таблица версий: ** * 1.9.2.28 + build1 + nobinonly-0ubuntu0.10.04.1 0 100 / var / lib / dpkg / status
Я получаю «Пакет xulrunner-1.9.2 недоступен, но ссылается на другой пакет. Это может означать, что пакет отсутствует, был устарел или доступен только из другого источника " - BrunoJCM


ответы:


  1. sudo nano /var/lib/dpkg/info/xulrunner-1.9.2.prerm

  2. удалить все содержимое, за исключением того, что это

    #!/bin/sh

    set -e

  3. sudo dpkg -P --force-all xulrunner-1.9.2

    результат

Подавление de xulrunner-1.9.2 (1.9.2.28 + build1 + nobinonly-0ubuntu0.11.04.1) ... Очистка конфигурационных файлов для xulrunner-1.9.2 (1.9.2.28 + build1 + nobinonly-0ubuntu0.11.04.1) ...

ссылка >> https://www.skyminds.net/ubuntu-resoudre-lerreur-xulrunner-bin-error-while-loading-shared-libraries-libhunspell-1-2-so-0/

удачи :)


3
2018-01-19 11:32